This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Transform

Identify, classify & transform sensitive data.

    Identify and classify plain-text sensitive data. Replace the sensitive data with labels of the classified data types, such as, <CREDIT_CARD> and so on.

    POST http://<Host Address>/pty/data-discovery/v2/transform/label

    Query Parameters

    score_threshold

    • Type: float
    • Description: Optional. Label results where the score is greater than this threshold.
    • Values: Minimum 0, Maximum 1.0
    • Default: 0.7

    include_providers

    • Type: binary
    • Description: Optional. Include details of the service providers in the response.
    • Values: Yes / No
    • Default: No

    include_classification_details

    • Type: binary
    • Description: Optional. Include classification details in the response.
    • Values: Yes / No
    • Default: No

    Body

    • Content type must be text/plain and in UTF-8 format.

    • Body size is limited to 10K Bytes

    Sample Request

    curl -X POST "http://<Host_address>/pty/data-discovery/v2/transform/label?score_threshold=0.85" \
              -H "Content-Type: text/plain" \
              --data "Jake lives at 15 Main st, Hamden 06517, Connecticut."
    import requests
        
        url = "http://<Host_address>/pty/data-discovery/v2/transform/label"
        params = {"score_threshold": 0.85}
        headers = {"Content-Type": "text/plain"}
        data = "Jake lives at 15 Main st, Hamden 06517, Connecticut."
        
        response = requests.post(url, params=params, headers=headers, data=data, verify=False)
        
        print("Status code:", response.status_code)
        print("Response JSON:", response.json())
    URL: POST `http://<Host_address>/pty/data-discovery/v2/transform/label`
       Query Parameters:
       -score_threshold (optional), float between 0.0 and 1.0, default: 0.
       Headers:
       -Content-Type: text/plain
       Body:
       -Jake lives at 15 Main st, Hamden 06517, Connecticut.